[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#320158: cupsys: /etc/cups/cups.conf is rewritten by KDE and Gnome print managers - and it's a config file

Package: cupsys
Version: 1.1.23-10
Severity: normal

on upgrade of cupsys, you get asked questions about "diff y/n" to a
config file - cups.conf - that is RADICALLY altered by KDE and Gnome's
print managing programs, e.g. you can add browsing with the KDE print
manager, change admin and security settings etc.

this sort of thing is apparently "bad form" and may even be a debian
policy violation.

cups.conf should NOT be in /var/lib/dpkg/info/cupsys.conffiles.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux highfield 2.6.11-1-686 #1 Fri May 20 07:34:54 UTC 2005 i686

Versions of packages cupsys depends on:
ii  adduser               3.51               Add and remove users and groups
ii  debconf               1.4.52             Debian configuration management sy
ii  libc6                 2.3.2.ds1-21       GNU C Library: Shared libraries an
ii  libcupsimage2         1.1.20final+rc1-10 Common UNIX Printing System(tm) - 
ii  libcupsys2-gnutls10   1.1.23-10          Common UNIX Printing System(tm) - 
ii  libgnutls11           1.0.16-6           GNU TLS library - runtime library
ii  libpam0g              0.77-0.se5         Pluggable Authentication Modules l
ii  libpaper1             1.1.14             Library for handling paper charact
ii  libslp1               1.0.11-6           OpenSLP libraries
ii  patch                 2.5.9-2            Apply a diff file to an original
ii  perl-modules          5.8.4-4            Core Perl modules
ii  xpdf-utils            3.00-7             Portable Document Format (PDF) sui
ii  zlib1g                1:1.2.1-3          compression library - runtime

-- debconf information excluded

Reply to: